

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;

namespace IRaCIS.Core.Domain.Models
{
	///<summary>
	/// 阅片任务答案
	///</summary>
	[Table("ReadingTaskQuestionAnswer")]
	public class ReadingTaskQuestionAnswer : BaseAddAuditEntity
    {
        #region 导航属性

        [JsonIgnore]
        [ForeignKey("VisitTaskId")]
        public VisitTask VisitTask { get; set; }

        [JsonIgnore]
        [ForeignKey("ReadingQuestionTrialId")]
        public ReadingQuestionTrial ReadingQuestionTrial { get; set; }
        #endregion
        /// <summary>
        /// 项目问题Id
        /// </summary>
        public Guid ReadingQuestionTrialId { get; set; }

		/// <summary>
		/// 项目问题标准Id
		/// </summary>
		public Guid ReadingQuestionCriterionTrialId { get; set; }

		public Guid TrialId { get; set; }

		public Guid SubjectId { get; set; }

		public Guid VisitTaskId { get; set; }

		/// <summary>
		/// 答案
		/// </summary>
		public string Answer { get; set; }

		/// <summary>
		/// 全局阅片修改的答案
		/// </summary>
		public string GlobalChangeAnswer { get; set; }


		/// <summary>
		/// 全局阅片是否修改
		/// </summary>
		public bool IsGlobalChange { get; set; } = false;

		





    }


	



}
