using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models
{
    /// <summary>
    /// 运维人员与项目关联关系表 - 实体
    /// </summary>
    [Table("TrialUser")]
    public partial class TrialUser : BaseFullDeleteAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public Trial Trial { get; set; }
        [JsonIgnore]
        [ForeignKey("UserId")]
        public User User { get; set; }

        [JsonIgnore]
        public List<TrialSiteUser> SiteList { get; set; }
        #endregion
        public Guid UserId { get; set; }
        public Guid TrialId { get; set; }
         
        public DateTime? RemoveTime { get; set; }

        public DateTime? JoinTime { get; set; }

        

    }
}
